<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: Lista składowych</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Szukaj');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Szukaj');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">Obstacles Lista składowych</div>  </div>
</div><!--header-->
<div class="contents">

<p>To jest kompletna lista składowych dla <a class="el" href="class_obstacles.html">Obstacles</a>, uwzględniająca wszystkie dziedziczone składowe.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="class_shape.html#a9aea7afc1c0a20707601246c30fe4eb6">allCounter_</a></td><td class="entry"><a class="el" href="class_shape.html">Shape</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_shape.html#afb6856641aa526f1371e5580e2cd7eb3">angle_</a></td><td class="entry"><a class="el" href="class_shape.html">Shape</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_shape.html#ade5bb363e34b23ba50d9508a55d19afc">checkCollision</a>(const Vector3D &amp;position) const =0</td><td class="entry"><a class="el" href="class_shape.html">Shape</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_shape.html#a6ace3788cd1b36df62ca1945cff26e76">currentCounter_</a></td><td class="entry"><a class="el" href="class_shape.html">Shape</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_obstacles.html#ad616fc66f5ad3a738843d5faeba1b52b">draw</a>(const std::string &amp;fileName) const override</td><td class="entry"><a class="el" href="class_obstacles.html">Obstacles</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_obstacles.html#a1d2c967e884d0512c9d12c1d50988a6e">kObstaclesFile</a></td><td class="entry"><a class="el" href="class_obstacles.html">Obstacles</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_obstacles.html#a5822a8a837872f08c48e224ed7448178">kObstaclesModel</a></td><td class="entry"><a class="el" href="class_obstacles.html">Obstacles</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_shape.html#a9bd798fd7f03957c56372df7570421b1">makeRadians</a>(double degree) const</td><td class="entry"><a class="el" href="class_shape.html">Shape</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_obstacles.html#a51c7f97c28a251ab75d711b23d9fe8e1">Obstacles</a>()</td><td class="entry"><a class="el" href="class_obstacles.html">Obstacles</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_obstacles.html#af2a1bbc0d479644c010ee06d661d6910">points_</a></td><td class="entry"><a class="el" href="class_obstacles.html">Obstacles</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_shape.html#aaa8d87171e65e0d8ba3c5459978992a7">Shape</a>()</td><td class="entry"><a class="el" href="class_shape.html">Shape</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_shape.html#a499ab02e6fd00d35c87e9409cab672dc">translate</a>(const Vector3D &amp;change)</td><td class="entry"><a class="el" href="class_shape.html">Shape</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_shape.html#aba30fe15a525b5f24e09829094213c07">translation_</a></td><td class="entry"><a class="el" href="class_shape.html">Shape</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_shape.html#a4ab9606f25f5121c5d09e95de802f4c0">writeAngle</a>(double change)</td><td class="entry"><a class="el" href="class_shape.html">Shape</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_obstacles.html#aa4f02f5ca8ffc260b9fc57a4e4774315">~Obstacles</a>()</td><td class="entry"><a class="el" href="class_obstacles.html">Obstacles</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_shape.html#a935afc9e576015f967d90de56977167d">~Shape</a>()</td><td class="entry"><a class="el" href="class_shape.html">Shape</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Wygenerowano przez &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
